Last Comment Bug 601347 - [SeaMonkey] crash [@ nsNetscapeProfileMigratorBase::CopyCookies(int)]
: [SeaMonkey] crash [@ nsNetscapeProfileMigratorBase::CopyCookies(int)]
Status: RESOLVED FIXED
: crash, fixed-seamonkey2.0.11, topcrash
Product: MailNews Core
Classification: Components
Component: Profile Migration (show other bugs)
: 1.9.1 Branch
: All All
: -- blocker (vote)
: Thunderbird 3.3a1
Assigned To: Bruno 'Aqualon' Escherl
:
Mentors:
http://crash-stats.mozilla.com/report...
Depends on: 601715
Blocks: 525513
  Show dependency treegraph
 
Reported: 2010-10-02 03:50 PDT by Bruno 'Aqualon' Escherl
Modified: 2011-06-09 14:58 PDT (History)
2 users (show)
kairo: blocking‑seamonkey2.0.9-
kairo: blocking‑seamonkey2.0.11+
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
return NS_ERROR_FAILURE if source profile is not available (branch version) (1.37 KB, patch)
2010-10-02 03:50 PDT, Bruno 'Aqualon' Escherl
neil: review+
kairo: approval‑seamonkey2.0.11+
Details | Diff | Review

Description Bruno 'Aqualon' Escherl 2010-10-02 03:50:12 PDT
Created attachment 480378 [details] [diff] [review]
return NS_ERROR_FAILURE if source profile is not available (branch version)

Bug 525513 forgot to fix the call from nsThunderbirdProfileMigrator::Migrate(), so this still crashes for SeaMonkey 2.0.x users (it's one of the topcrashers for 2.0.8). Would be nice if this could still make it into 2.0.9.

The attached branch patch also applies to trunk.
Comment 1 Robert Kaiser (not working on stability any more) 2010-10-02 09:55:12 PDT
This is #14 on 2.0.8 topcrashes with 100 crashes in the last week, .67% of overall crashes, and we have already rolled 2.0.9 builds, this doesn't look respin-worthy to me, even if it's an annoyance.
For 2.0.10, we'll really want it, though.
Comment 2 Frank Wein [:mcsmurf] 2010-10-03 06:32:55 PDT
Comment on attachment 480378 [details] [diff] [review]
return NS_ERROR_FAILURE if source profile is not available (branch version)

Checked in on c-c: http://hg.mozilla.org/comm-central/rev/1575284f0f7a
Comment 3 Serge Gautherie (:sgautherie) 2010-10-03 07:54:46 PDT
Nits, while here again:

1)
Bug 525513 comment 10:
"can you put the return NS_ERROR_FAILURE; on its own line"?

2)
http://mxr.mozilla.org/comm-central/search?string=GetSourceProfile&case=1&find=%2Fmigration%2F.*%5C.cpp%24
http://mxr.mozilla.org/comm-central/source/suite/profile/migration/src/nsSeamonkeyProfileMigrator.cpp#94
{
153   if (!mSourceProfile) {
154     GetSourceProfile(aProfile);
155     if (!mSourceProfile)
156       return NS_ERROR_FILE_NOT_FOUND;
}
Could you s/NS_ERROR_FAILURE/NS_ERROR_FILE_NOT_FOUND/g?
(Or the other way round, but use the same error everywhere.)

Thanks.
Comment 4 Karsten Düsterloh 2010-10-04 12:16:06 PDT
Pushed http://hg.mozilla.org/releases/comm-1.9.1/rev/a60b91cc7a4a.
Comment 5 Bruno 'Aqualon' Escherl 2010-10-04 12:57:41 PDT
Thanks for the checkins, marking this bug as fixed.

I'll file a followup bug for the cleanup from comment 3.
Comment 6 Serge Gautherie (:sgautherie) 2010-10-05 10:30:03 PDT
(In reply to comment #5)
> I'll file a followup bug for the cleanup from comment 3.

Bug 601715

Note You need to log in before you can comment on or make changes to this bug.